/*******************************************************************************/
//  Bernard Lidicky - 1999
//  Hippo Games
//  CZerw
//  About.cpp
/*******************************************************************************/

#include "stdafx.h"
#include "CZerwi.h"

#include "bbuttonek.h"
#include "About.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/*******************************************************************************/
CAbout::CAbout()
{
	m_zpet = new BButtonek;
	m_zpet->srect.SetRect(245,410,395,440);
	m_zpet->menubmp.SetRect(0,480,150,30);

		// bitmapa pozadi
	lpDDSAbout = DDLoadBitmap(lpDD,"IDB_ABOUT",0,0);
	if (lpDDSAbout == NULL) {
		TRACE("lpDDSAbout == NULL\n");
		AfxGetApp()->m_pMainWnd->SendMessage(WM_CLOSE);
	}
	DDSetColorKey(lpDDSAbout, RGB(255,0,255));

}
/*******************************************************************************/
CAbout::~CAbout()
{
	lpDDSAbout->Release();
	delete m_zpet;
}
/*******************************************************************************/
void CAbout::OnTimer()
{
	CRect rect;
	HRESULT ddrval;

	rect.SetRect(0,0,640,480);
	while( 1 )   {
		   ddrval = lpDDSBack->BltFast( 0, 0, lpDDSAbout,
			  &rect,DDBLTFAST_NOCOLORKEY); // _DESTCOLORKEY NOCOLORKEY
		if( ddrval == DD_OK )  break;
		if( ddrval == DDERR_SURFACELOST ) Restore();
		if( ddrval != DDERR_WASSTILLDRAWING ) return;
	}

	
	m_zpet->RedrawButton(lpDDSAbout);
}
/*******************************************************************************/
void CAbout::OnLButtonDown(CPoint point)
{
	m_zpet->MouseLBDn(point);
}
/*******************************************************************************/
void CAbout::OnKeyDown(UINT nChar)
{
	if (nChar == VK_ESCAPE) AfxGetApp()->m_pMainWnd->PostMessage(WM_MENU);
}
/*******************************************************************************/
void CAbout::OnMouseMove(CPoint point)
{
	m_zpet->MouseMove(point);
}
/*******************************************************************************/
void CAbout::OnLButtonUp(CPoint point)
{
	if(m_zpet->MouseLBUp(point)) AfxGetApp()->m_pMainWnd->PostMessage(WM_MENU);
}
/*******************************************************************************/
void CAbout::Activate()
{
	m_zpet->stav = m_zpet->stav_old = 0;
}
/*******************************************************************************/
void CAbout::Restore()
{
		// bitmapa menu
	lpDDSAbout->Restore();
	DDReLoadBitmap(lpDDSAbout,"IDB_ABOUT");

	DDSetColorKey(lpDDSAbout, RGB(255,0,255));
}
/*******************************************************************************/
