/*******************************************************************************/
//  Bernard Lidicky - 1999
//  Hippo Games
//  CZerw
//  BButtonek.cpp
/*******************************************************************************/

#include "stdafx.h"
#include "CZerwi.h"
#include "BButtonek.h"


//******************************************************************************
BButtonek::BButtonek()
{
	stav = 0;
	stav_old = 0;
	capture = false;
	able    = true;
	available = true;
}
//******************************************************************************
BButtonek::~BButtonek()
{

}
//******************************************************************************
CRect BButtonek::GetARect()
{
	CRect rect;
	rect.top    = menubmp.top;
	rect.left   = menubmp.left + menubmp.right * stav;
	rect.bottom = rect.top  + menubmp.bottom;
	rect.right  = rect.left + menubmp.right;

	return rect;
}
//******************************************************************************
void BButtonek::MouseMove(CPoint point)
{
	if(!available) return;

	if(!able) return;

	if (capture)
		if(srect.PtInRect(point))
			if(stav_old > 1) stav = 0;
			else stav = 2;
		else 
			if(stav_old > 1) stav = 2;
			else stav = 0;
   else if(srect.PtInRect(point))
			if(stav > 1) stav = 3;
			else stav = 1;
		else 
			if(stav > 1) stav = 2;
			else stav = 0;
			
}
//******************************************************************************
void BButtonek::MouseLBDn(CPoint point)
{
	if(!available) return;
	if(srect.PtInRect(point)) {
		stav_old = stav;
		capture = true;
		if(stav_old > 1) stav = 0;
		else stav = 2;
	}
	else able = false;
}
//******************************************************************************
bool BButtonek::MouseLBUp(CPoint point)
{
	if(!available) return false;

	bool rv = false;
	if((capture)&&(srect.PtInRect(point))){
		if(stav_old > 1) stav = 0;
		else stav = 2;
		rv = true;;
	}
	stav_old = stav;
	capture = false;
	able = true;
	return rv;
}
//******************************************************************************
void BButtonek::RedrawButton(LPDIRECTDRAWSURFACE lpDDZdroj)
{
	HRESULT ddrval;
	while(1){
		ddrval = lpDDSBack->BltFast(srect.left,srect.top,lpDDZdroj,GetARect(),DDBLTFAST_SRCCOLORKEY);
		if (ddrval == DD_OK) break;
		if (ddrval != DDERR_WASSTILLDRAWING) break;
	}
}

